/* 
Theme Name: ACD Custom
Theme URI: https://github.com/elementor/hello-theme-child/
Description: ACD Custom is a child theme of Hello Elementor
Author: KLANGPHOTON
Author URI: https://klangphoton.de/
Template: hello-elementor
Version: 2.0.8
Text Domain: acd-custom
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

html,
body {
    scroll-padding-top: 86px;

    @media (max-width: 1024px) {
        hyphens: auto;
        -webkit-hyphens: auto;
        -moz-hyphens: auto;
        -ms-hyphens: auto;
        /* text-wrap: balance; */
    }
}

.elementor-widget-text-editor p {
    text-wrap: auto;
}

.elementor-widget-text-editor p:last-child {
    margin-bottom: 0;
}

.spacer-placeholder {
    height: 75vh;
}

h1 {
    /* text-transform: uppercase;
    font-style: italic;
    font-weight: 900 !important;
    clip-path: polygon(0 0, 100% 0, 100% .3em, 0 .3em, 0 .35em, 100% .35em, 100% .55em, 0 .55em, 0 .6em, 100% .6em, 100% 1em, 0 1em); */
}

h1,
h2,
h3,
h4 {
    text-wrap: balance;
}

.big {
    font-size: 1.25em;
    line-height: 1.75em;
}

.slanted-container {
    --p: 5em;

    @media (max-width: 1023px) {
        --p: 4em;
    }

    @media(max-width: 767px) {
        --p: 3em;
    }

    clip-path: polygon(
        var(--p) 0,
        100% 0,
        100% calc(100% - var(--p)),
        calc(100% - var(--p)) 100%,
        0 100%,
        0 var(--p)
    );
}

.slanted-title {
    --slant: 50px;

    padding: var(--slant);
    clip-path: polygon(
        var(--slant) 0,
        100% 0,
        100% 100%,
        0 100%,
        0 var(--slant));

    @media (max-width: 767px) {
        padding: calc(var(--slant) / 1.5);
    }

    background-color: rgb(255 255 255 / .5);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
}

.e-con:has(> .slanted-container.slanted-shadow) {
    filter: drop-shadow(0 20px 20px rgb(0 0 0 / .15));
    -webkit-filter: drop-shadow(0 20px 20px rgb(0 0 0 / .15));
}

/* JETFORMBUILDER */
.form-no-gap > .jet-form-builder-row:not(:last-child) {
    margin-bottom: 0 !important;
}